Game System Requirements Google+ profile
Game System Requirements Google+ profile
Game System Requirements Google+ profile
Game System Requirements Facebook profile
Panzer Elite Action
7.9
Panzer Elite Action
Veröffentlichung: 2007. April 20. (PC)
Popularität: ~1050# ■
iThere are only official system requirements on the site which are released by developers or an official publisher.
Minimale Systemanforderungen:
Empfohlene Systemanforderungen:
CPU:
PIII 800Mhz or AMD Duron 800Mhz or faster x86 compatible
CPU:
P4 2.0Ghz or AMD XP 2400+ or greater x86 or AMD64 processor.
RAM:
256Mb [DDRAM] or more
RAM:
1Gb of fast DDRAM (PC3200 recommended)
GPU:
ATI Radeon 8500 or nVidia GeForce 3 Ti (must support ps.1.1) with at least 32Mb of video memory
GPU:
ATI 9800XT or nVidia 6600Gt with 256Mb of video memory
DX:
DirectX 9.0 or newer
DX:
DirectX 9.0c
OS:
Windows XP
OS:
Windows XP with service pack 2 and updates
Store:
3Gb or more free disk space
Store:
3Gb or more free disk space
Schall:
[optional] Sound card
Schall:
Sound card with 5.1 or 7.1 support (Audigy2 recommended)
The game's system requirements are extremely low that's why making a comparison is not feasible.
Ähnliche Produkte:
Mad FatherPlanetside 2Armored WarfareWRC 5Battlefield: Bad Company 2
Datenbank